// SPDX-License-Identifier: MIT
pragma solidity ^0.8.0;

import "@openzeppelin/contracts/access/AccessControl.sol";
import "./lib/MetaKeepLambdaSender.sol";
import "./lib/MetaKeepLambdaConstants.sol";

contract MetaKeepLambdaACL is AccessControl, MetaKeepLambdaConstants {
    constructor(address lambdaOwner) {
        _setupRole(METAKEEP_LAMBDA_OWNER_ROLE, lambdaOwner);
        _setRoleAdmin(METAKEEP_LAMBDA_OWNER_ROLE, METAKEEP_LAMBDA_OWNER_ROLE);
    }

    modifier onlyMetaKeepLambdaOwner() {
        require(
            hasRole(
                METAKEEP_LAMBDA_OWNER_ROLE,
                MetaKeepLambdaSender.msgSender()
            ),
            "MetaKeepLambda: Not owner"
        );
        _;
    }
}
