// SPDX-License-Identifier: UNLICENSED
pragma solidity ^0.8.0;

import "@openzeppelin/contracts-upgradeable/access/AccessControlUpgradeable.sol";
import "./lib/MetaKeepLambdaSender.sol";
import "./lib/MetaKeepLambdaConstants.sol";

contract MetaKeepLambdaACLUpgradeable is
    AccessControlUpgradeable,
    MetaKeepLambdaConstants
{
    // Create a new role identifier for the owner role

    // slither-disable-next-line naming-convention
    function _MetaKeepLambda_initializeOwner(address developer_)
        internal
        onlyInitializing
    {
        _setupRole(METAKEEP_LAMBDA_OWNER_ROLE, developer_);
        _setRoleAdmin(METAKEEP_LAMBDA_OWNER_ROLE, METAKEEP_LAMBDA_OWNER_ROLE);
    }

    modifier onlyMetaKeepLambdaOwner() {
        require(
            hasRole(
                METAKEEP_LAMBDA_OWNER_ROLE,
                MetaKeepLambdaSender.msgSender()
            ),
            "MetaKeepLambda: Not owner"
        );
        _;
    }
}
