// SPDX-License-Identifier: UNLICENSED
pragma solidity ^0.8.0;

contract MetaKeepLambdaConstants {
    string public constant ERC712_VERSION = "1";

    bytes32 public constant METAKEEP_LAMBDA_TRANSACTION_TYPEHASH =
        keccak256(
            bytes(
                "MetaKeepLambdaTransaction(uint256 nonce,uint256 validFrom,uint256 validUpto,address from,bytes functionSignature)"
            )
        );
    bytes32 public constant METAKEEP_LAMBDA_CANCEL_NONCE_TYPEHASH =
        keccak256(
            bytes("MetaKeepLambdaCancelNonce(uint256 nonce,address from)")
        );

    bytes32 internal constant EIP712_DOMAIN_TYPEHASH =
        keccak256(
            bytes(
                "EIP712Domain(string name,string version,address verifyingContract,bytes32 salt)"
            )
        );

    bytes32 public constant METAKEEP_LAMBDA_OWNER_ROLE =
        keccak256("METAKEEP_LAMBDA_OWNER_ROLE");
}
